# Uses of Class
org.opensaml.saml.common.messaging.context.SAMLBindingContext

Packages that use SAMLBindingContext
Package
Description
org.opensaml.saml.common.messaging.context.navigate
Functions to navigate SAML message contexts.
org.opensaml.saml.common.profile.logic
Functions and predicates supporting common SAML profile behavior.

## Uses of SAMLBindingContext in org.opensaml.saml.common.messaging.context.navigate

Methods in org.opensaml.saml.common.messaging.context.navigate with parameters of type SAMLBindingContext
Modifier and Type
Method
Description
`String`
SAMLBindingContextBindingFunction.`apply(SAMLBindingContext input)`

## Uses of SAMLBindingContext in org.opensaml.saml.common.profile.logic

Fields in org.opensaml.saml.common.profile.logic with type parameters of type SAMLBindingContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SAMLBindingContext>`
DefaultLocalErrorPredicate.`bindingContextLookupStrategy`
Strategy function for access to `SAMLBindingContext` to check.
Method parameters in org.opensaml.saml.common.profile.logic with type arguments of type SAMLBindingContext
Modifier and Type
Method
Description
`void`
DefaultLocalErrorPredicate.`setBindingContextLookupStrategy(Function<ProfileRequestContext,SAMLBindingContext> strategy)`
Set lookup strategy for `SAMLBindingContext` to check.